#                                               -*- cmake -*-
#
#  PersalysConfig.cmake(.in)
#
#  Find Persalys includes and libraries
#
#  Copyright 2015-2024 EDF-Phimeca
#

# Use the following variables to compile and link against Persalys:
#  PERSALYS_FOUND          - True if Persalys was found on your system
#  PERSALYS_DEFINITIONS    - Definitions needed to build with Persalys
#  PERSALYS_INCLUDE_DIRS   - List of directories where Persalys' header file are
#  PERSALYS_LIBRARY        - Library name
#  PERSALYS_LIBRARIES      - List of libraries to link against
#  PERSALYS_LIBRARY_DIRS   - List of directories containing Persalys' libraries
#  PERSALYS_ROOT_DIR       - The base directory of Persalys
#  PERSALYS_VERSION_STRING - A human-readable string containing the version
#  PERSALYS_VERSION_MAJOR  - The major version of Persalys
#  PERSALYS_VERSION_MINOR  - The minor version of Persalys
#  PERSALYS_VERSION_PATCH  - The patch version of Persalys
#  PERSALYS_PYTHON_MODULE_PATH - Path to the python module


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was PersalysConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/s390x-linux-gnu/cmake/persalys" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set ( PERSALYS_FOUND 1 )

set ( PERSALYS_DEFINITIONS  "-DDOCUMENTATION_INSTALL_PATH="share/doc/persalys";-DPERSALYS_VERSION="16.1";-DINSTALL_PATH="/usr"" )
set ( PERSALYS_INCLUDE_DIR  "${PACKAGE_PREFIX_DIR}/include" )
set ( PERSALYS_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include;/usr/include" )
set ( PERSALYS_LIBRARY      "persalys" )
set ( PERSALYS_LIBRARIES    "OT;persalys" )
set ( PERSALYS_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib/s390x-linux-gnu;${PACKAGE_PREFIX_DIR}/lib/s390x-linux-gnu" )
set ( PERSALYS_ROOT_DIR     "/usr" )

set ( PERSALYS_VERSION_STRING "16.1" )
set ( PERSALYS_VERSION_MAJOR  "16" )
set ( PERSALYS_VERSION_MINOR  "1" )
set ( PERSALYS_VERSION_PATCH  "" )

set (PERSALYS_PYTHON_MODULE_PATH "${PACKAGE_PREFIX_DIR}/lib/python3/dist-packages")
